import { Compiler } from "webpack";
import { ensureURLExistsAsync } from "./utils";
declare type CheckTriggerType = () => Promise<boolean> | boolean;
interface IOptions {
    routes: string[];
    baseURL: string;
    initialCheckTrigger?: CheckTriggerType;
    beforeCheckTrigger?: CheckTriggerType;
}
declare class TriggerRoutePingPlugin {
    static pluginName: string;
    options: IOptions;
    isInitialCheckNeeded: boolean;
    hasInitialCheckPassed: boolean | null;
    constructor(options: IOptions);
    static warnForURLNotExistingOrNotReady(url: string): void;
    apply(compiler: Compiler): void;
}
export default TriggerRoutePingPlugin;
export { ensureURLExistsAsync, };
